
#Runs the generators.
execute if score iron spawn matches 1.. run function p:game/gen/iron
execute if score gold spawn matches 1.. run function p:game/gen/gold
execute if score emerald spawn matches 1.. run function p:game/gen/emerald
execute if score diamond spawn matches 1.. run function p:game/gen/diamond
function p:game/gen/timer



#Commands modelled from.
#https://gaming.stackexchange.com/questions/350575/how-to-count-total-items-on-the-ground

#Counts Emerald Gen Amounts
#RedWhiteEmeraldGen
scoreboard players set RWEGen MidDiamondGens 0
execute as @e[tag=midgen,tag=RWEGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=midgen,tag=RWEGen] at @s run scoreboard players operation RWEGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] middiamondgens

#WhitePurpleEmeraldGen
scoreboard players set WPEGen MidDiamondGens 0
execute as @e[tag=midgen,tag=WPEGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=midgen,tag=WPEGen] at @s run scoreboard players operation WPEGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] middiamondgens

#PurpleBlackEmeraldGen
scoreboard players set PBEGen MidDiamondGens 0
execute as @e[tag=midgen,tag=PBEGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=midgen,tag=PBEGen] at @s run scoreboard players operation PBEGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] middiamondgens

#BlackRedEmeraldGen
scoreboard players set BREGen MidDiamondGens 0
execute as @e[tag=midgen,tag=BREGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=midgen,tag=BREGen] at @s run scoreboard players operation BREGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:emerald"}}] middiamondgens




#Counts Diamond Gen Amounts
#RedWhiteDiamondGen
scoreboard players set RWDGen MidDiamondGens 0
execute as @e[tag=diagen,tag=RWDGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=diagen,tag=RWDGen] at @s run scoreboard players operation RWDGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] middiamondgens

#WhitePurpleDiamondGen
scoreboard players set WPDGen MidDiamondGens 0
execute as @e[tag=diagen,tag=WPDGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=diagen,tag=WPDGen] at @s run scoreboard players operation WPDGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] middiamondgens

#PurpleBlackDiamondGen
scoreboard players set PBDGen MidDiamondGens 0
execute as @e[tag=diagen,tag=PBDGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=diagen,tag=PBDGen] at @s run scoreboard players operation PBDGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] middiamondgens

#BlackRedDiamondGen
scoreboard players set BRDGen MidDiamondGens 0
execute as @e[tag=diagen,tag=BRDGen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] store result score @s middiamondgens run data get entity @s Item.Count
execute as @e[tag=diagen,tag=BRDGen] at @s run scoreboard players operation BRDGen MidDiamondGens += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:diamond"}}] middiamondgens




#Counts Island Gen Amounts
#RedGen
scoreboard players reset redGen IslandGenerators
execute as @e[tag=isgen,tag=redgen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=redgen] at @s run scoreboard players operation redGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] islandgenerators

#RedGoldGen
scoreboard players reset redGGen IslandGenerators
execute as @e[tag=isgen,tag=redgen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=redgen] at @s run scoreboard players operation redGGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] islandgenerators



#WhiteGen
scoreboard players reset whiteGen IslandGenerators
execute as @e[tag=isgen,tag=whitegen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=whitegen] at @s run scoreboard players operation whiteGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] islandgenerators

#WhiteGoldGen
scoreboard players reset whiteGGen IslandGenerators
execute as @e[tag=isgen,tag=whitegen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=whitegen] at @s run scoreboard players operation whiteGGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] islandgenerators



#PurpleGen
scoreboard players reset purpleGen IslandGenerators
execute as @e[tag=isgen,tag=purplegen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=purplegen] at @s run scoreboard players operation purpleGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] islandgenerators 

#PurpleGoldGen
scoreboard players reset purpleGGen IslandGenerators
execute as @e[tag=isgen,tag=purplegen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=purplegen] at @s run scoreboard players operation purpleGGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] islandgenerators 



#BlackGen
scoreboard players reset blackGen IslandGenerators
execute as @e[tag=isgen,tag=blackgen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=blackgen] at @s run scoreboard players operation blackGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:iron_ingot"}}] islandgenerators 

#BlackGoldGen
scoreboard players reset blackGGen IslandGenerators
execute as @e[tag=isgen,tag=blackgen] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] store result score @s islandgenerators run data get entity @s Item.Count
execute as @e[tag=isgen,tag=blackgen] at @s run scoreboard players operation blackGGen IslandGenerators += @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot"}}] islandgenerators
